with GNATCOM.Errors;

package body MSHTML.IElementBehaviorSiteLayout_Interface is

   procedure Initialize (This : in out IElementBehaviorSiteLayout_Type) is
   begin
      Set_IID (This, IID_IElementBehaviorSiteLayout);
   end Initialize;

   function Pointer (This : IElementBehaviorSiteLayout_Type)
     return Pointer_To_IElementBehaviorSiteLayout
   is
   begin
      return To_Pointer_To_IElementBehaviorSiteLayout (Address (This));
   end Pointer;

   procedure Attach (This    : in out IElementBehaviorSiteLayout_Type;
                     Pointer : in     Pointer_To_IElementBehaviorSiteLayout)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure InvalidateLayoutInfo
     (This : IElementBehaviorSiteLayout_Type)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.InvalidateLayoutInfo
         (Pointer (This)));

   end InvalidateLayoutInfo;

   procedure InvalidateSize
     (This : IElementBehaviorSiteLayout_Type)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.InvalidateSize
         (Pointer (This)));

   end InvalidateSize;

   function GetMediaResolution
     (This            : IElementBehaviorSiteLayout_Type)
     return tagSIZE
   is
       RetVal : aliased tagSIZE;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.GetMediaResolution
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end GetMediaResolution;

end MSHTML.IElementBehaviorSiteLayout_Interface;

